=== debian/changelog ===
ros-rolling-rviz-common (9.1.1-1focal) focal; urgency=high

  * Fix support for assimp 5.1.0 (#817 <https://github.com/ros2/rviz/issues/817>)
  * Contributors: Silvio Traversaro

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-rviz-common (9.1.0-1focal) focal; urgency=high

  * Fix cpplint errors (#818 <https://github.com/ros2/rviz/issues/818>)
  * Set message type for ros topic display (#800 <https://github.com/ros2/rviz/issues/800>)
  * Contributors: Daisuke Nishimatsu, Jacob Perron

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rviz-common (9.0.1-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#807 <https://github.com/ros2/rviz/issues/807>)
  * Do not block visualization manager updates when opening the display panel dialog (#795 <https://github.com/ros2/rviz/issues/795>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rviz-common (9.0.0-1focal) focal; urgency=high

  * Switch to using Qt::MiddleButton for RViz. (#802 <https://github.com/ros2/rviz/issues/802>)
  * Removed traces in renderPanel (#777 <https://github.com/ros2/rviz/issues/777>)
  * move yaml_config_writer.hpp to public includes (#764 <https://github.com/ros2/rviz/issues/764>)
  * Update displays_panel.cpp (#745 <https://github.com/ros2/rviz/issues/745>)
  * Robot: Report mesh loading issues (#744 <https://github.com/ros2/rviz/issues/744>)
  * Exposed tool_manager header file. (#767 <https://github.com/ros2/rviz/issues/767>)
  * refactor: make const getter methods const (#756 <https://github.com/ros2/rviz/issues/756>)
  * Efficiently handle 3-bytes pixel formats (#743 <https://github.com/ros2/rviz/issues/743>)
  * Report sample lost events (#686 <https://github.com/ros2/rviz/issues/686>)
  * Contributors: ANDOU Tetsuo, Alejandro Hernández Cordero, Chris Lalancette, Gonzo, Joseph Schornak, davidorchansky

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-rviz-common (8.7.0-1focal) focal; urgency=high

  * Update window close icon (#734 <https://github.com/ros2/rviz/issues/734>)
  * Fix missing "X" icon in panel close button (#731 <https://github.com/ros2/rviz/issues/731>)
  * Add rviz_rendering dependency to rviz_common (#727 <https://github.com/ros2/rviz/issues/727>)
  * Remove the word "Alpha" from the splash screen. (#696 <https://github.com/ros2/rviz/issues/696>)
  * Removed some memory leaks in rviz_rendering and rviz_rendering_tests (#710 <https://github.com/ros2/rviz/issues/710>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Rebecca Butler

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rviz-common (8.6.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 13 May 2021 07:00:00 -0000

ros-rolling-rviz-common (8.5.0-1focal) focal; urgency=high

  * Add visualization_frame to the public API (#660 <https://github.com/ros2/rviz/issues/660>)
  * Contributors: Jafar Abdi

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rviz-common (8.4.0-1focal) focal; urgency=high

  * Add ViewPicker::get3DPatch to the public API (#657 <https://github.com/ros2/rviz/issues/657>)
  * Fix byte indexing for depth patch pixels (#661 <https://github.com/ros2/rviz/issues/661>)
  * fix toolbar vanishing when pressing escape (#656 <https://github.com/ros2/rviz/issues/656>)
  * Expose VisualizationManager and YamlConfigReader to the public API (#649 <https://github.com/ros2/rviz/issues/649>)
  * Use the stack for the classes in the property test. (#644 <https://github.com/ros2/rviz/issues/644>)
  * Contributors: Chris Lalancette, Joseph Schornak, ipa-fez

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rviz-common (8.3.1-1focal) focal; urgency=high

  * Check that the views_man_ and views_man_->getCurrent() are not nullptr. (#634 <https://github.com/ros2/rviz/issues/634>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rviz-common (8.3.0-1focal) focal; urgency=high

  * Fix for mousewheel to zoom in/out (#623 <https://github.com/ros2/rviz/issues/623>)
  * Ensure rviz_common::MessageFilterDisplay processes messages in the main thread (#620 <https://github.com/ros2/rviz/issues/620>)
  * Fix render window disppearing after saving image (#611 <https://github.com/ros2/rviz/issues/611>)
  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * TimePanel port (#599 <https://github.com/ros2/rviz/issues/599>)
  * Upgrade to tinyxml2 for rviz (#418 <https://github.com/ros2/rviz/issues/418>)
  * Fix segfault on changing filter size for non-existent topic (#597 <https://github.com/ros2/rviz/issues/597>)
  * improve color support for themes (#590 <https://github.com/ros2/rviz/issues/590>)
  * Fix topic IntProperty number ranges (#596 <https://github.com/ros2/rviz/issues/596>)
  * Switch to nullptr everywhere. (#592 <https://github.com/ros2/rviz/issues/592>)
  * Expose MessageFilterDisplay's queue size (#593 <https://github.com/ros2/rviz/issues/593>)
  * Filter topics in drop down menu (#591 <https://github.com/ros2/rviz/issues/591>)
  * rviz_common: Remove variadic macro warning check (#421 <https://github.com/ros2/rviz/issues/421>)
  * Use retriever.hpp (#589 <https://github.com/ros2/rviz/issues/589>)
  * Fix the order of destructors (#572 <https://github.com/ros2/rviz/issues/572>)
  * Contributors: Audrow Nash, Chen Lihui, Chris Lalancette, Jacob Perron, Martin Idel, Michael Ferguson, Michael Jeronimo, Michel Hidalgo, Nico Neumann, Rich Mattes, Shane Loretz, spiralray

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000


