## ros-rolling-rviz-common 13.1.0

=== debian/changelog ===
ros-rolling-rviz-common (13.1.0-1jammy) jammy; urgency=high

  * Removed unused code (#1044 <https://github.com/ros2/rviz/issues/1044>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rviz-common (13.0.0-1jammy) jammy; urgency=high

  * Remove unused LineEditWithButton::simulateReturnPressed() (#1040 <https://github.com/ros2/rviz/issues/1040>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rviz-common (12.8.0-1jammy) jammy; urgency=high

  * Remove warning in depth_cloud_mld.cpp (#1021 <https://github.com/ros2/rviz/issues/1021>)
  * Added DepthCloud default plugin (#996 <https://github.com/ros2/rviz/issues/996>)
  * Stop inheriting from std::iterator. (#1013 <https://github.com/ros2/rviz/issues/1013>)
    In C++17, inheriting from std::iterator has been
    deprecated: https://www.fluentcpp.com/2018/05/08/std-iterator-deprecated/
    Here, switch away from inheriting and just define the
    interface ourselves (which is the current recommended best practice).
    This removes some warnings when building with gcc 13.1.1
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 27 Aug 2023 00:00:00 -0000

ros-rolling-rviz-common (12.7.0-1jammy) jammy; urgency=high

  * use static QCoreApplication::processEvents() function without a QApplication instance (#924 <https://github.com/ros2/rviz/issues/924>)
  * Re-implemented setName for tools (#989 <https://github.com/ros2/rviz/issues/989>)
  * Contributors: Felix Exner (fexner), Yannis Gerlach

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rviz-common (12.6.1-1jammy) jammy; urgency=high

  * Add a libqt5-svg dependency to rviz_common. (#992 <https://github.com/ros2/rviz/issues/992>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rviz-common (12.6.0-1jammy) jammy; urgency=high

  * Remove onHelpWiki. (#985 <https://github.com/ros2/rviz/issues/985>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rviz-common (12.5.1-1jammy) jammy; urgency=high

  * Clean Code (#975 <https://github.com/ros2/rviz/issues/975>)
  * Contributors: mosfet80

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rviz-common (12.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rviz-common (12.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rviz-common (12.3.2-1jammy) jammy; urgency=high

  * Update Frame shortcut (#958 <https://github.com/ros2/rviz/issues/958>)
    * Update Frame shortcut
  * Contributors: David V. Lu!!

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-rviz-common (12.3.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rviz-common (12.3.0-1jammy) jammy; urgency=high

  * Update rviz to C++17. (#939 <https://github.com/ros2/rviz/issues/939>)
  * [rolling] Update maintainers - 2022-11-07 (#923 <https://github.com/ros2/rviz/issues/923>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rviz-common (12.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-rviz-common (12.1.0-1jammy) jammy; urgency=high

  * Remove YAML_CPP_DLL define (#831 <https://github.com/ros2/rviz/issues/831>)
  * Contributors: Akash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rviz-common (12.0.0-1jammy) jammy; urgency=high

  * Document getTransform() time behavior (#893 <https://github.com/ros2/rviz/issues/893>)
  * Ogre 1.12.10 upgrade (#878 <https://github.com/ros2/rviz/issues/878>)
  * Add RVIZ_COMMON_PUBLIC macro (#865 <https://github.com/ros2/rviz/issues/865>)
  * Contributors: Kenji Brameld, Shane Loretz, juchajam

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rviz-common (11.3.0-1jammy) jammy; urgency=high

  * Add time jump handler (#752 <https://github.com/ros2/rviz/issues/752>) (#791 <https://github.com/ros2/rviz/issues/791>)
  * Make sure not to dereference a null Renderable pointer. (#850 <https://github.com/ros2/rviz/issues/850>)
  * Contributors: Chris Lalancette, Marcel Zeilinger

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 Apr 2022 00:00:00 -0000

ros-rolling-rviz-common (11.2.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-rviz-common (11.1.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-rviz-common (11.1.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-rviz-common (11.0.0-1jammy) jammy; urgency=high

  * Add implementation for cancel interface (#809 <https://github.com/ros2/rviz/issues/809>)
  * Contributors: Chen Lihui

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rviz-common (10.0.0-1jammy) jammy; urgency=high


