=== debian/control ===
Source: ros-rolling-rviz-common
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libqt5svg5-dev, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck <!nocheck>, ros-rolling-ament-cmake-cpplint <!nocheck>, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-lint-cmake <!nocheck>, ros-rolling-ament-cmake-uncrustify <!nocheck>, ros-rolling-ament-cmake-xmllint <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-message-filters, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-resource-retriever, ros-rolling-rviz-ogre-vendor, ros-rolling-rviz-rendering, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-tinyxml2-vendor, ros-rolling-urdf, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-rolling-rviz-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5svg5, libqt5widgets5, qtbase5-dev, ros-rolling-geometry-msgs, ros-rolling-message-filters, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-resource-retriever, ros-rolling-rviz-ogre-vendor, ros-rolling-rviz-rendering, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2, ros-rolling-tf2-geometry-msgs, ros-rolling-tf2-ros, ros-rolling-tinyxml2-vendor, ros-rolling-urdf, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: Common rviz API, used by rviz plugins and applications.
